Package org.eclipse.gef.fx.anchors

# Class AnchorKey

java.lang.Object
org.eclipse.gef.fx.anchors.AnchorKey

public class AnchorKey extends Object
AnchorKey combines an anchored `Node` with a `String` qualifier to identify an anchor target.

## Constructor Summary

Constructors
Constructor
Description
`AnchorKey(Node anchored, String id)`
Creates a new `AnchorKey` for the given anchored `Node` with the given id.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Node`
`getAnchored()`
Returns the anchored `Node` of this `AnchorKey`.
`String`
`getId()`
The `String` identifier of this `AnchorKey`.
`int`
`hashCode()`
`protected void`
`setAnchored(Node anchored)`
Sets the anchored `Node` of this `AnchorKey` to the given value.
`protected void`
`setId(String id)`
Sets the `String` identifier of this `AnchorKey` to the given value.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AnchorKey

public AnchorKey(Node anchored, String id)
Creates a new `AnchorKey` for the given anchored `Node` with the given id.

Parameters:
  `anchored` - The anchored `Node`.
  `id` - The identifier for this `AnchorKey`, used to differentiate multiple keys with the same anchored `Node`.

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getAnchored

public Node getAnchored()
Returns the anchored `Node` of this `AnchorKey`.

Returns:
  The anchored `Node` of this `AnchorKey`.

### getId

public String getId()
The `String` identifier of this `AnchorKey`.

Returns:
  The `String` identifier of this `AnchorKey`.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### setAnchored

protected void setAnchored(Node anchored)
Sets the anchored `Node` of this `AnchorKey` to the given value.

Parameters:
  `anchored` - The new anchored `Node` for this `AnchorKey`.

### setId

protected void setId(String id)
Sets the `String` identifier of this `AnchorKey` to the given value.

Parameters:
  `id` - The new `String` identifier for this `AnchorKey`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`